PUT /phone_numbers/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/phone_numbers/:id

Update a phone number's source or pool

Update a phone number's assigned traffic source, offer, buyer, or number pool, and other routing settings. Trackdrive Clean Phone Numbers (TDPN) cannot be edited through this endpoint.

Params

Param name Description
serializer
Optional Blank value allowed

This endpoint supports multiple response formats. Pass serializer=name to retrieve data in an alternate format.

  • Must be a value contained in the pick list:
    Acceptable ValueDescription
    numberDefault response format.
    number_gridModern response format that returns various foreign keys for use with other API endpoints.
id
Optional

This can be either the internal trackdrive id or the full phone number beginning with ‘+’
For example:
To find a number using trackdrive’s internal id pass id=185923
To find a number using the phone number pass id=+18005002562"

  • Must be a String

description
Optional Blank value allowed

A note that identifies the number in your account.

  • Must be a String

forward_type
Optional Blank value allowed

Forward Type - Should the number forward to an Offer or a Buyer

  • Must be a value contained in the pick list:
    Acceptable ValueDescription
    offer_idForward to Offer
    buyer_idForward to Buyer
buyer_id
Optional Blank value allowed

The buyer calls forward to when forward_type is buyer_id. Required with that forward type. If the buyer does not answer, the exception handling of your account’s direct forward offer applies.

offer_id
Optional Blank value allowed

Refer to the offer api for details

traffic_source_id
Optional Blank value allowed

Refer to the traffic source api for details

ring_pool_id
Optional Blank value allowed

Refer to the Number Pool api for details

traffic_source_override_lead_traffic_source
Optional Blank value allowed

Force Calls to Credit This Traffic Source and Extra Tokens, even if Lead Traffic Source or Data is Different

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value
paused
Optional

Pause or unpause.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

use_with_key_press_flows
Optional Blank value allowed

Apply a key press flow group to calls on this number.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

key_press_flow_group_id
Optional Blank value allowed

The key press flow group applied when use_with_key_press_flows is true.

lead_match_sort_order
Optional Blank value allowed

Which leads to search first when matching an inbound caller to an existing lead.

  • Must be a value contained in the pick list:
    Acceptable ValueDescription
    schedule_leads_first[Default] Search for a matching schedule lead before considering offer leads.
    offer_leads_firstSearch for a matching offer lead before considering schedule leads.
delete_prevention
Optional Blank value allowed

When true, the number cannot be deleted until deletion prevention is turned off.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off